/* Constants to use in vortex2d */

#ifndef constants_included
#define constants_included 1

#define PI 3.14158265
#define TWOPI 6.28318531
#define SM_THRESH 0.0001
#define MAX_OUTPUT_SIZE 512

/* these 2 values determine the quadtree resolution */
/* quadtree has not yet been implemented */
#define XCELLS 8
#define YCELLS 8

/* this is the maximum number of elements allowed */
#define MAX_ELEMENTS 1000

/* this is the maximum number of generators allowed */
#define MAX_ELEMENT_GENERATORS 10

/* this is the maximum number of particles */
#define MAX_PARTICLES 1000

/* this is the maximum number of particle emitters */
#define MAX_PARTICLE_GENERATORS 10

/* this is the maximum # of nodes per object */
#define MAX_OBJECT_NODES 100

/* this is the maximum number of objects */
#define MAX_OBJECTS 1

#endif
/* end */
